---
title: Get information about all recipients in a recipient list
slug: campaign/api/get-information-about-all-recipients-in-a-recipient-list
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "no2qyMsUxFN0WFPJ9BAmo",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}"
      }
    ],
    "name": "Get information about all recipients in a recipient list",
    "description": "<p>Get detailed information about all recipients in a recipient list, such as recipient ID, creation date and modification date.Request limit: In total, a maximum of 10 simultaneous requests for the following operations are permitted per client: REST API selectRecipients, REST API countRecipients and SOAP API getCount (RecipientWebservice).</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "recipientListId",
          "type": "integer<int64>",
          "description": "Recipient list ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer<int32>",
          "description": "<p>Starting point of the result list Default value : 0</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "<p>Maximum number of recipients Default value : 100</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "targetGroup",
          "type": "integer<int64>",
          "description": "ID of the matching target group",
          "format": "int64"
        },
        {
          "kind": "optional",
          "name": "attributeNames",
          "type": "array",
          "description": "<p>Comma-separated names of the fields whose recipient data is to be retrieved. Example: \"firstname,lastname\". Note: You must use the internal names of the recipient list fields. \nTo retrieve the attribute names of a recipient list, use the Recipient lists operation GET /recipientlists/{recipientListId}/attributeNames.</p>",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "includeOptinData",
          "type": "boolean",
          "description": "<p>Specify whether the opt-in data fields should be returned. Only applicable for opt-in list</p>"
        },
        {
          "kind": "optional",
          "name": "sort",
          "type": "string",
          "description": "Sort result by specific criteria",
          "default": "id"
        },
        {
          "kind": "optional",
          "name": "direction",
          "type": "string",
          "description": "Sort order",
          "default": "ASC",
          "enum": [
            "ASC",
            "DESC"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "All relevant recipients were retrieved successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestRecipientStreamingCollection",
            "schema": [
              {
                "name": "elements",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestRecipient",
                "customType": "RestRecipient[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string",
                    "description": "Recipient ID"
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Creation date",
                    "format": "date-time"
                  },
                  {
                    "name": "modified",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Modification date",
                    "format": "date-time"
                  },
                  {
                    "name": "optInMailId",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>Mail ID in case of double/confirmed opt-in process</p>"
                  },
                  {
                    "name": "links",
                    "kind": "optional",
                    "type": "array",
                    "description": "Restful links",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "uriBuilder",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "example": "",
                        "schema": []
                      },
                      {
                        "name": "rels",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "example": "",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "rel",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "params",
                        "kind": "optional",
                        "type": "map",
                        "description": "",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      },
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "uri",
                        "kind": "optional",
                        "type": "string<uri>",
                        "description": "",
                        "format": "uri"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "offset",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "limit",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/RestRecipientStreamingCollection",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "429",
        "description": "Too many requests are used at the same time to retrieve recipients.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "vXPRZEn2S0xyRj4-HDGVC",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}?sort=id&direction=ASC' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "TRl0J9Kx0NI2FaUn0feJe",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}?sort=id&direction=ASC\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "6ujCY9YFow05I0OlnJRsx",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}?sort=id&direction=ASC\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Bl6iLLb-NvvJJBI94YXCE",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}?sort=id&direction=ASC\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "vXPRZEn2S0xyRj4-HDGVC"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// All relevant recipients were retrieved successfully.\n{\n  \"elements\": [\n    {\n      \"id\": \"\",\n      \"created\": \"\",\n      \"modified\": \"\",\n      \"optInMailId\": \"\",\n      \"links\": [\n        {\n          \"uriBuilder\": {},\n          \"rels\": [\n            \"\"\n          ],\n          \"rel\": \"\",\n          \"type\": \"\",\n          \"params\": \"\",\n          \"title\": \"\",\n          \"uri\": \"\"\n        }\n      ]\n    }\n  ],\n  \"count\": \"\",\n  \"offset\": \"\",\n  \"limit\": \"\"\n}"
        },
        {
          "id": "response-1-429",
          "language": "429",
          "code": "// Too many requests are used at the same time to retrieve recipients.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}